Bug 40022 - [C6SR3] "Tools > Xamarin Account" shows "Please log in to use Xamarin" when using the new VS Professional licensing
Summary: [C6SR3] "Tools > Xamarin Account" shows "Please log in to use Xamarin" when u...
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: General (show other bugs)
Version: 4.0.0 (C6)
Hardware: PC Windows
: --- normal
Target Milestone: 4.0.4 (C6SR4)
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-03-31 18:03 UTC by Brendan Zagaeski (Xamarin Team, assistant)
Modified: 2016-05-05 05:43 UTC (History)
6 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
BAD: Visual Studio Xamarin Account asks for login (30.69 KB, image/png)
2016-03-31 18:03 UTC, Brendan Zagaeski (Xamarin Team, assistant)
Details
Good: Xamarin Studio Xamarin Account shows current license level and offers login (46.02 KB, image/png)
2016-03-31 18:04 UTC, Brendan Zagaeski (Xamarin Team, assistant)
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Brendan Zagaeski (Xamarin Team, assistant) 2016-03-31 18:03:31 UTC
Created attachment 15571 [details]
BAD: Visual Studio Xamarin Account asks for login

[C6SR3] "Tools > Xamarin Account" shows "Please log in to use Xamarin" when using the new VS Professional licensing




## Steps followed to replicate

1. Install Xamarin Cycle 6 – Service Release 3 on Windows.

2. Open Visual Studio 2015 Update 1.

3. Open "Tools > Xamarin Account"




## Results on Visual Studio

The account dialog shows:

> Please log in to use Xamarin.
> Please log in with your Xamarin account to proceed.

And offers the old familiar Email and Password text entry fields to log in to a Xamarin account.


(See attached image "BAD: Visual Studio Xamarin Account asks for login".)




## Expected results

I would expect the initial account dialog to tell me I have a VS Professional license level for Xamarin, and then offer me the option of logging in to my Xamarin account if I want to.



### For comparison, Xamarin Studio on Mac has approximately the expected behavior

The account dialog shows:

> Unidentified Code Monkey
> Please log in.

> XAMARIN STUDIO COMMUNITY

And offers a "Log In" button.


(See attached image "Good: Xamarin Studio Xamarin Account shows current license level and offers login".)
Comment 1 Brendan Zagaeski (Xamarin Team, assistant) 2016-03-31 18:04:01 UTC
Created attachment 15572 [details]
Good: Xamarin Studio Xamarin Account shows current license level and offers login
Comment 2 Mikayla Hutchinson [MSFT] 2016-03-31 18:16:06 UTC
VS should work the same way as XS here.
Comment 3 xamarin-release-manager 2016-04-04 16:22:27 UTC
Fixed in version 99.0.0.2011 (master)

Author: jmt
Commit: 3f21563e816ce0c3fe2952da2a0507b6b406e248 (xamarin/XamarinVS)
Comment 4 xamarin-release-manager 2016-04-04 17:29:33 UTC
Fixed in version 4.1.0.282 (cycle7)

Author: jmt
Commit: b895a58d888e0bbf682eee2ad576d72436ba3408 (xamarin/XamarinVS)
Comment 5 xamarin-release-manager 2016-04-11 13:51:14 UTC
Fixed in version 4.0.3.204 (cycle6)

Author: Jose Gallardo
Commit: b1b72090a19b18ab0d401abec7a1fa7c9df48fbf (xamarin/XamarinVS)